Package org.apache.avro.idl

# Class IdlParser

java.lang.Object
org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
org.antlr.v4.runtime.Parser
org.apache.avro.idl.IdlParser

public class IdlParser extends org.antlr.v4.runtime.Parser

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IdlParser.ArrayTypeContext`
`static class`
`IdlParser.EnumDeclarationContext`
`static class`
`IdlParser.EnumDefaultContext`
`static class`
`IdlParser.EnumSymbolContext`
`static class`
`IdlParser.FieldDeclarationContext`
`static class`
`IdlParser.FixedDeclarationContext`
`static class`
`IdlParser.FormalParameterContext`
`static class`
`IdlParser.FullTypeContext`
`static class`
`IdlParser.IdentifierContext`
`static class`
`IdlParser.IdlFileContext`
`static class`
`IdlParser.ImportStatementContext`
`static class`
`IdlParser.JsonArrayContext`
`static class`
`IdlParser.JsonLiteralContext`
`static class`
`IdlParser.JsonObjectContext`
`static class`
`IdlParser.JsonPairContext`
`static class`
`IdlParser.JsonValueContext`
`static class`
`IdlParser.MainSchemaDeclarationContext`
`static class`
`IdlParser.MapTypeContext`
`static class`
`IdlParser.MessageDeclarationContext`
`static class`
`IdlParser.NamedSchemaDeclarationContext`
`static class`
`IdlParser.NamespaceDeclarationContext`
`static class`
`IdlParser.NullableTypeContext`
`static class`
`IdlParser.PlainTypeContext`
`static class`
`IdlParser.PrimitiveTypeContext`
`static class`
`IdlParser.ProtocolDeclarationBodyContext`
`static class`
`IdlParser.ProtocolDeclarationContext`
`static class`
`IdlParser.RecordBodyContext`
`static class`
`IdlParser.RecordDeclarationContext`
`static class`
`IdlParser.ResultTypeContext`
`static class`
`IdlParser.SchemaPropertyContext`
`static class`
`IdlParser.UnionTypeContext`
`static class`
`IdlParser.VariableDeclarationContext`

## Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

`org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.antlr.v4.runtime.atn.ATN`
`_ATN`
`protected static final org.antlr.v4.runtime.dfa.DFA[]`
`_decisionToDFA`
`static final String`
`_serializedATN`
`protected static final org.antlr.v4.runtime.atn.PredictionContextCache`
`_sharedContextCache`
`static final int`
`Array`
`static final int`
`At`
`static final int`
`BFalse`
`static final int`
`Boolean`
`static final int`
`BTrue`
`static final int`
`Bytes`
`static final int`
`Colon`
`static final int`
`Comma`
`static final int`
`Dash`
`static final int`
`Date`
`static final int`
`Decimal`
`static final int`
`DocComment`
`static final int`
`Dot`
`static final int`
`Double`
`static final int`
`EmptyComment`
`static final int`
`Enum`
`static final int`
`Equals`
`static final int`
`Error`
`static final int`
`Fixed`
`static final int`
`Float`
`static final int`
`FloatingPointLiteral`
`static final int`
`GT`
`static final int`
`IdentifierToken`
`static final int`
`IDL`
`static final int`
`Import`
`static final int`
`Int`
`static final int`
`IntegerLiteral`
`static final int`
`LBrace`
`static final int`
`LBracket`
`static final int`
`LocalTimestamp`
`static final int`
`Long`
`static final int`
`LParen`
`static final int`
`LT`
`static final int`
`Map`
`static final int`
`MultiLineComment`
`static final int`
`Namespace`
`static final int`
`Null`
`static final int`
`Oneway`
`static final int`
`Protocol`
`static final int`
`QuestionMark`
`static final int`
`RBrace`
`static final int`
`RBracket`
`static final int`
`Record`
`static final int`
`RParen`
`static final int`
`RULE_arrayType`
`static final int`
`RULE_enumDeclaration`
`static final int`
`RULE_enumDefault`
`static final int`
`RULE_enumSymbol`
`static final int`
`RULE_fieldDeclaration`
`static final int`
`RULE_fixedDeclaration`
`static final int`
`RULE_formalParameter`
`static final int`
`RULE_fullType`
`static final int`
`RULE_identifier`
`static final int`
`RULE_idlFile`
`static final int`
`RULE_importStatement`
`static final int`
`RULE_jsonArray`
`static final int`
`RULE_jsonLiteral`
`static final int`
`RULE_jsonObject`
`static final int`
`RULE_jsonPair`
`static final int`
`RULE_jsonValue`
`static final int`
`RULE_mainSchemaDeclaration`
`static final int`
`RULE_mapType`
`static final int`
`RULE_messageDeclaration`
`static final int`
`RULE_namedSchemaDeclaration`
`static final int`
`RULE_namespaceDeclaration`
`static final int`
`RULE_nullableType`
`static final int`
`RULE_plainType`
`static final int`
`RULE_primitiveType`
`static final int`
`RULE_protocolDeclaration`
`static final int`
`RULE_protocolDeclarationBody`
`static final int`
`RULE_recordBody`
`static final int`
`RULE_recordDeclaration`
`static final int`
`RULE_resultType`
`static final int`
`RULE_schemaProperty`
`static final int`
`RULE_unionType`
`static final int`
`RULE_variableDeclaration`
`static final String[]`
`ruleNames`
`static final int`
`Schema`
`static final int`
`Semicolon`
`static final int`
`SingleLineComment`
`static final int`
`String`
`static final int`
`StringLiteral`
`static final int`
`T__0`
`static final int`
`Throws`
`static final int`
`Time`
`static final int`
`Timestamp`
`static final String[]`
`tokenNames`
Deprecated.
Use `VOCABULARY` instead.
`static final int`
`Union`
`static final int`
`UUID`
`static final org.antlr.v4.runtime.Vocabulary`
`VOCABULARY`
`static final int`
`Void`
`static final int`
`WS`

### Fields inherited from class org.antlr.v4.runtime.Parser

`_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

## Constructor Summary

Constructors
Constructor
Description
`IdlParser(org.antlr.v4.runtime.TokenStream input)`

## Method Summary

Modifier and Type
Method
Description
`final IdlParser.ArrayTypeContext`
`arrayType()`
`final IdlParser.EnumDeclarationContext`
`enumDeclaration()`
`final IdlParser.EnumDefaultContext`
`enumDefault()`
`final IdlParser.EnumSymbolContext`
`enumSymbol()`
`final IdlParser.FieldDeclarationContext`
`fieldDeclaration()`
`final IdlParser.FixedDeclarationContext`
`fixedDeclaration()`
`final IdlParser.FormalParameterContext`
`formalParameter()`
`final IdlParser.FullTypeContext`
`fullType()`
`org.antlr.v4.runtime.atn.ATN`
`getATN()`
`String`
`getGrammarFileName()`
`String[]`
`getRuleNames()`
`String`
`getSerializedATN()`
`String[]`
`getTokenNames()`
Deprecated.
`org.antlr.v4.runtime.Vocabulary`
`getVocabulary()`
`final IdlParser.IdentifierContext`
`identifier()`
`final IdlParser.IdlFileContext`
`idlFile()`
`final IdlParser.ImportStatementContext`
`importStatement()`
`final IdlParser.JsonArrayContext`
`jsonArray()`
`final IdlParser.JsonLiteralContext`
`jsonLiteral()`
`final IdlParser.JsonObjectContext`
`jsonObject()`
`final IdlParser.JsonPairContext`
`jsonPair()`
`final IdlParser.JsonValueContext`
`jsonValue()`
`final IdlParser.MainSchemaDeclarationContext`
`mainSchemaDeclaration()`
`final IdlParser.MapTypeContext`
`mapType()`
`final IdlParser.MessageDeclarationContext`
`messageDeclaration()`
`final IdlParser.NamedSchemaDeclarationContext`
`namedSchemaDeclaration()`
`final IdlParser.NamespaceDeclarationContext`
`namespaceDeclaration()`
`final IdlParser.NullableTypeContext`
`nullableType()`
`final IdlParser.PlainTypeContext`
`plainType()`
`final IdlParser.PrimitiveTypeContext`
`primitiveType()`
`final IdlParser.ProtocolDeclarationContext`
`protocolDeclaration()`
`final IdlParser.ProtocolDeclarationBodyContext`
`protocolDeclarationBody()`
`final IdlParser.RecordBodyContext`
`recordBody()`
`final IdlParser.RecordDeclarationContext`
`recordDeclaration()`
`final IdlParser.ResultTypeContext`
`resultType()`
`final IdlParser.SchemaPropertyContext`
`schemaProperty()`
`final IdlParser.UnionTypeContext`
`unionType()`
`final IdlParser.VariableDeclarationContext`
`variableDeclaration()`

### Methods inherited from class org.antlr.v4.runtime.Parser

`addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _decisionToDFA

protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

### _sharedContextCache

protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

### T__0

public static final int T__0

See Also:
  - Constant Field Values

### DocComment

public static final int DocComment

See Also:
  - Constant Field Values

### EmptyComment

public static final int EmptyComment

See Also:
  - Constant Field Values

### MultiLineComment

public static final int MultiLineComment

See Also:
  - Constant Field Values

### SingleLineComment

public static final int SingleLineComment

See Also:
  - Constant Field Values

### WS

public static final int WS

See Also:
  - Constant Field Values

### Protocol

public static final int Protocol

See Also:
  - Constant Field Values

### Namespace

public static final int Namespace

See Also:
  - Constant Field Values

### Import

public static final int Import

See Also:
  - Constant Field Values

### IDL

public static final int IDL

See Also:
  - Constant Field Values

### Schema

public static final int Schema

See Also:
  - Constant Field Values

### Enum

public static final int Enum

See Also:
  - Constant Field Values

### Fixed

public static final int Fixed

See Also:
  - Constant Field Values

### Error

public static final int Error

See Also:
  - Constant Field Values

### Record

public static final int Record

See Also:
  - Constant Field Values

### Array

public static final int Array

See Also:
  - Constant Field Values

### Map

public static final int Map

See Also:
  - Constant Field Values

### Union

public static final int Union

See Also:
  - Constant Field Values

### Boolean

public static final int Boolean

See Also:
  - Constant Field Values

### Int

public static final int Int

See Also:
  - Constant Field Values

### Long

public static final int Long

See Also:
  - Constant Field Values

### Float

public static final int Float

See Also:
  - Constant Field Values

### Double

public static final int Double

See Also:
  - Constant Field Values

### String

public static final int String

See Also:
  - Constant Field Values

### Bytes

public static final int Bytes

See Also:
  - Constant Field Values

### Null

public static final int Null

See Also:
  - Constant Field Values

### BTrue

public static final int BTrue

See Also:
  - Constant Field Values

### BFalse

public static final int BFalse

See Also:
  - Constant Field Values

### Decimal

public static final int Decimal

See Also:
  - Constant Field Values

### Date

public static final int Date

See Also:
  - Constant Field Values

### Time

public static final int Time

See Also:
  - Constant Field Values

### Timestamp

public static final int Timestamp

See Also:
  - Constant Field Values

### LocalTimestamp

public static final int LocalTimestamp

See Also:
  - Constant Field Values

### UUID

public static final int UUID

See Also:
  - Constant Field Values

### Void

public static final int Void

See Also:
  - Constant Field Values

### Oneway

public static final int Oneway

See Also:
  - Constant Field Values

### Throws

public static final int Throws

See Also:
  - Constant Field Values

### LParen

public static final int LParen

See Also:
  - Constant Field Values

### RParen

public static final int RParen

See Also:
  - Constant Field Values

### LBrace

public static final int LBrace

See Also:
  - Constant Field Values

### RBrace

public static final int RBrace

See Also:
  - Constant Field Values

### LBracket

public static final int LBracket

See Also:
  - Constant Field Values

### RBracket

public static final int RBracket

See Also:
  - Constant Field Values

### Colon

public static final int Colon

See Also:
  - Constant Field Values

### Semicolon

public static final int Semicolon

See Also:
  - Constant Field Values

### Comma

public static final int Comma

See Also:
  - Constant Field Values

### At

public static final int At

See Also:
  - Constant Field Values

### Equals

public static final int Equals

See Also:
  - Constant Field Values

### Dot

public static final int Dot

See Also:
  - Constant Field Values

### Dash

public static final int Dash

See Also:
  - Constant Field Values

### QuestionMark

public static final int QuestionMark

See Also:
  - Constant Field Values

### LT

public static final int LT

See Also:
  - Constant Field Values

### GT

public static final int GT

See Also:
  - Constant Field Values

### StringLiteral

public static final int StringLiteral

See Also:
  - Constant Field Values

### IntegerLiteral

public static final int IntegerLiteral

See Also:
  - Constant Field Values

### FloatingPointLiteral

public static final int FloatingPointLiteral

See Also:
  - Constant Field Values

### IdentifierToken

public static final int IdentifierToken

See Also:
  - Constant Field Values

### RULE_idlFile

public static final int RULE_idlFile

See Also:
  - Constant Field Values

### RULE_protocolDeclaration

public static final int RULE_protocolDeclaration

See Also:
  - Constant Field Values

### RULE_protocolDeclarationBody

public static final int RULE_protocolDeclarationBody

See Also:
  - Constant Field Values

### RULE_namespaceDeclaration

public static final int RULE_namespaceDeclaration

See Also:
  - Constant Field Values

### RULE_mainSchemaDeclaration

public static final int RULE_mainSchemaDeclaration

See Also:
  - Constant Field Values

### RULE_identifier

public static final int RULE_identifier

See Also:
  - Constant Field Values

### RULE_schemaProperty

public static final int RULE_schemaProperty

See Also:
  - Constant Field Values

### RULE_importStatement

public static final int RULE_importStatement

See Also:
  - Constant Field Values

### RULE_namedSchemaDeclaration

public static final int RULE_namedSchemaDeclaration

See Also:
  - Constant Field Values

### RULE_fixedDeclaration

public static final int RULE_fixedDeclaration

See Also:
  - Constant Field Values

### RULE_enumDeclaration

public static final int RULE_enumDeclaration

See Also:
  - Constant Field Values

### RULE_enumSymbol

public static final int RULE_enumSymbol

See Also:
  - Constant Field Values

### RULE_enumDefault

public static final int RULE_enumDefault

See Also:
  - Constant Field Values

### RULE_recordDeclaration

public static final int RULE_recordDeclaration

See Also:
  - Constant Field Values

### RULE_recordBody

public static final int RULE_recordBody

See Also:
  - Constant Field Values

### RULE_fieldDeclaration

public static final int RULE_fieldDeclaration

See Also:
  - Constant Field Values

### RULE_variableDeclaration

public static final int RULE_variableDeclaration

See Also:
  - Constant Field Values

### RULE_messageDeclaration

public static final int RULE_messageDeclaration

See Also:
  - Constant Field Values

### RULE_formalParameter

public static final int RULE_formalParameter

See Also:
  - Constant Field Values

### RULE_resultType

public static final int RULE_resultType

See Also:
  - Constant Field Values

### RULE_fullType

public static final int RULE_fullType

See Also:
  - Constant Field Values

### RULE_plainType

public static final int RULE_plainType

See Also:
  - Constant Field Values

### RULE_nullableType

public static final int RULE_nullableType

See Also:
  - Constant Field Values

### RULE_primitiveType

public static final int RULE_primitiveType

See Also:
  - Constant Field Values

### RULE_arrayType

public static final int RULE_arrayType

See Also:
  - Constant Field Values

### RULE_mapType

public static final int RULE_mapType

See Also:
  - Constant Field Values

### RULE_unionType

public static final int RULE_unionType

See Also:
  - Constant Field Values

### RULE_jsonValue

public static final int RULE_jsonValue

See Also:
  - Constant Field Values

### RULE_jsonLiteral

public static final int RULE_jsonLiteral

See Also:
  - Constant Field Values

### RULE_jsonObject

public static final int RULE_jsonObject

See Also:
  - Constant Field Values

### RULE_jsonPair

public static final int RULE_jsonPair

See Also:
  - Constant Field Values

### RULE_jsonArray

public static final int RULE_jsonArray

See Also:
  - Constant Field Values

### ruleNames

public static final String[] ruleNames

### VOCABULARY

public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

### tokenNames

@Deprecated public static final String[] tokenNames
Deprecated.
Use `VOCABULARY` instead.

### _serializedATN

public static final String _serializedATN

See Also:
  - Constant Field Values

### _ATN

public static final org.antlr.v4.runtime.atn.ATN _ATN

## Constructor Details

### IdlParser

public IdlParser(org.antlr.v4.runtime.TokenStream input)

## Method Details

### getTokenNames

@Deprecated public String[] getTokenNames()
Deprecated.

Specified by:
  `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### getVocabulary

public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### getGrammarFileName

public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### getRuleNames

public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### getSerializedATN

public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### getATN

public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

### idlFile

public final IdlParser.IdlFileContext idlFile() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### protocolDeclaration

public final IdlParser.ProtocolDeclarationContext protocolDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### protocolDeclarationBody

public final IdlParser.ProtocolDeclarationBodyContext protocolDeclarationBody() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### namespaceDeclaration

public final IdlParser.NamespaceDeclarationContext namespaceDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### mainSchemaDeclaration

public final IdlParser.MainSchemaDeclarationContext mainSchemaDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### identifier

public final IdlParser.IdentifierContext identifier() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### schemaProperty

public final IdlParser.SchemaPropertyContext schemaProperty() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### importStatement

public final IdlParser.ImportStatementContext importStatement() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### namedSchemaDeclaration

public final IdlParser.NamedSchemaDeclarationContext namedSchemaDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### fixedDeclaration

public final IdlParser.FixedDeclarationContext fixedDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### enumDeclaration

public final IdlParser.EnumDeclarationContext enumDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### enumSymbol

public final IdlParser.EnumSymbolContext enumSymbol() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### enumDefault

public final IdlParser.EnumDefaultContext enumDefault() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### recordDeclaration

public final IdlParser.RecordDeclarationContext recordDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### recordBody

public final IdlParser.RecordBodyContext recordBody() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### fieldDeclaration

public final IdlParser.FieldDeclarationContext fieldDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### variableDeclaration

public final IdlParser.VariableDeclarationContext variableDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### messageDeclaration

public final IdlParser.MessageDeclarationContext messageDeclaration() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### formalParameter

public final IdlParser.FormalParameterContext formalParameter() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### resultType

public final IdlParser.ResultTypeContext resultType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### fullType

public final IdlParser.FullTypeContext fullType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### plainType

public final IdlParser.PlainTypeContext plainType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### nullableType

public final IdlParser.NullableTypeContext nullableType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### primitiveType

public final IdlParser.PrimitiveTypeContext primitiveType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### arrayType

public final IdlParser.ArrayTypeContext arrayType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### mapType

public final IdlParser.MapTypeContext mapType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### unionType

public final IdlParser.UnionTypeContext unionType() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### jsonValue

public final IdlParser.JsonValueContext jsonValue() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### jsonLiteral

public final IdlParser.JsonLiteralContext jsonLiteral() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### jsonObject

public final IdlParser.JsonObjectContext jsonObject() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### jsonPair

public final IdlParser.JsonPairContext jsonPair() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

### jsonArray

public final IdlParser.JsonArrayContext jsonArray() throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`